System.memclean()

System.setHigh()

System.currentDirectory("ms0:/DUMPF1")

------------------------------------------------------------------

fbrowser = {s = 3, fl = System.listDirectory("ms0:/DUMPF1"),ls = 3, sp = 20}
fbrowser.nf = table.getn(fbrowser.fl)

oldpad = Controls.read()

-----------function runfbrowser()--
function runfbrowser()
for i = ((fbrowser.ls-1)*fbrowser.sp)+1, fbrowser.ls*fbrowser.sp do
if fbrowser.nf >= i then
screen:print(35,((i-((fbrowser.ls-1)*fbrowser.sp))*13),
fbrowser.fl[i].name,noir)

--espacement de puis la gauche de l'écran/espacement entre les lignes/espacement entre les lignes/espacement entre les lignes
elseif fbrowser.nf < i then break end
end

screen:print(10,((fbrowser.s-((fbrowser.ls-1)*fbrowser.sp))*13),"-->",bleu)

----Contrôle menu ---->
if pad:down() and not oldpad:down() then fbrowser.s = fbrowser.s + 1 end
if pad:up() and not oldpad:up() then fbrowser.s = fbrowser.s - 1 end
--<--Contrôle menu ----


if fbrowser.s > fbrowser.nf then fbrowser.s = fbrowser.nf elseif fbrowser.s < 3 then fbrowser.s = 3 end
if fbrowser.s > fbrowser.sp*fbrowser.ls then fbrowser.ls = fbrowser.ls + 1
elseif fbrowser.s < ((fbrowser.ls-1) * fbrowser.sp)+1 then fbrowser.ls = fbrowser.ls - 1 fbrowser.s = (fbrowser.ls)*fbrowser.sp end


----Restaurer ---->
if pad:square() then

file = io.open("ms0:/PSP/GAME/F1Dumper & Manager/script/backname.txt" ,"w")
file:write(fbrowser.fl[fbrowser.s].name)
file:close()

System.rename(fbrowser.fl[fbrowser.s].name,"copy")

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/copytoflash.lua")
end
--<--Restaurer ----


----Supprimer dump ---->
if pad:triangle() then

System.message("Do you really want to delete this dump?", 1)

if System.buttonPressed(0) == 1 then


System.removeFile("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/config.se")


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/dic")
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/dic") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/dic")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/gps") 
if check == 1 then 

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/gps") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/gps")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/net/http") 
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/net/http") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/net/http")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/net") 
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/net") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/net")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/registry") 
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/registry") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/registry")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/updater") 
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/updater") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/updater")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/vsh/theme") 
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/vsh/theme") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/vsh/theme")
end


check = System.doesDirExist("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/vsh") 
if check == 1 then

System.currentDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/vsh") 
fichiers = System.listDirectory() 
nombre_fichiers = table.getn(fichiers) 

for z = 1, nombre_fichiers do -- Pour tout les fichiers
if fichiers[z].directory == false then
System.removeFile(fichiers[z].name)
end
end
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/vsh")
end

System.removeFile("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name.."/About this dump.txt")
System.removeDirectory("ms0:/DUMPF1/"..fbrowser.fl[fbrowser.s].name)
dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/mainmenu.lua")
end
end
--<--Supprimer dump ----
end
--<---------function runfbrowser()--



oldpad = Controls.read()

while true do

screen:clear()

screen:blit(0,0,screenfree)

if System.powerGetBatteryLifePercent() >= 0 then battery = batterie1 end
if System.powerGetBatteryLifePercent() > 10 then battery = batterie2 end
if System.powerGetBatteryLifePercent() > 50 then battery = batterie3 end
if System.powerGetBatteryLifePercent() > 75 then battery = batterie4 end
 
screen:blit(405,10,battery)

screen:print(435,15,"("..System.powerGetBatteryLifePercent().."%)",blanc)

pad = Controls.read()


screen:print(220,220,"Triangle : delete this dump",bleu)
screen:print(220,240,"Square : restore this dump",bleu)
------screen:print(25,260,"L, R and Start : Delete all dumps",bleu)
screen:print(220,260,"Circle : back to main menu",bleu)

runfbrowser()

if pad:circle() then

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/mainmenu.lua")

end

--[[
if pad:l() and pad:r() and pad:start() then

System.message("Do you really want to delete all dumps?", 1)

if System.buttonPressed(0) == 1 then

System.removeDirectory("ms0:/DUMPF1")
System.createDirectory("ms0:/DUMPF1")

file = io.open("ms0:/PSP/GAME/F1Dumper & Manager/script/dumpnametext.txt" ,"w")
file:write("0")
file:close()

dofile("ms0:/PSP/GAME/F1Dumper & Manager/script/mainmenu.lua")

end
end

--]]

screen.waitVblankStart()
screen.flip()
oldpad = pad

end